<template>
    <div class="dashboard">
        <div class="flex-container">
            <div class="flex-item">
                <img class="logotipo" :src="ruta + '/img/Logos/Pantalla dentro de DigiDocs.png'">
            </div>  
        <div class="flex-item" style="width:600px">
            <div class="col-md-12">
                <h2>Panel de Administrador</h2>
            </div>
        </div>        
        </div>
        <div class="flex-menus">
            <div class="column-1">
                <div class="btn-group">
                    <button 
                        class="btn btn-danger btn-admin-back" 
                        type="submit" 
                        @click="logout()"
                    >
                        <img :src="ruta + '/img/iconos/Cerrar_sesion.png'"> Salir
                    </button>
                </div>
            </div>
            <div class="column-2" >
                <ol class="breadcrumb float-left" style="width:100%;" >
                    <li class="breadcrumb-item">
                        <a href="#">Inicio</a>
                    </li>
                    <li class="breadcrumb-item active">{{ carpetaActual }}</li>
                </ol>
            </div>
        </div>
        <div class="flex-contenido">
            <div class="column-carpetas" style="width:250px">
                <table class="table table-bordered t-options ">
                    <thead class="thead">                  
                        <tr class="tr">
                            <th class="th">Opciones</th>
                        </tr>
                    </thead>
                    <tbody class="tbody">
                        <tr class="tr">
                            <td class="td" >
                                <a @click="pendientes()" href="javascript:void(0)" class="a">
                                    <img :src="ruta + '/img/iconos/Pendientes.png'"> Pendientes
                                </a>
                            </td>
                            <td class="td">
                                <a @click="autorizados()" href="javascript:void(0)" class="a">
                                    <img :src="ruta + '/img/iconos/Autorizados.png'"> Autorizados
                                </a>
                            </td>
                            <td class="td">
                                <a @click="suspendidos()" href="javascript:void(0)" class="a">
                                    <img :src="ruta + '/img/iconos/Suspendidos.png'"> Suspendidos
                                </a>
                            </td>
                            <td class="td">
                                <a @click="eliminados()" href="javascript:void(0)" class="a">
                                    <img :src="ruta + '/img/iconos/Eliminados.png'"> Eliminados
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="column-archivos">
                <TablaPendientes v-if="this.modulo == 'pendientes'"/>
                <TablaAutorizados v-if="this.modulo == 'autorizados'"/>
                <TablaSuspendidos v-if="this.modulo == 'suspendidos'"/>
                <TablaEliminados v-if="this.modulo == 'eliminados'"/>
            </div>
        </div>
        <footer class="main-footer footer-dashboard">
            <h6>© Copyright 2021 | DIGIDOCS | Solumáticas GRM | Todos los derechos reservados |</h6>
        </footer>
    </div>
</template>

<script>
import TablaPendientes from './modulos/pendientes';
import TablaAutorizados from './modulos/autorizados';
import TablaSuspendidos from './modulos/suspendidos';
import TablaEliminados from './modulos/eliminados';
export default {
    props: ['ruta'],
    data() {
        return {
            url: document.head.querySelector('meta[name="url"]').content,
            usuarios: [],
            modulo: '',
            carpetaActual: "",
        }
    },
    components: {
        TablaPendientes,
        TablaAutorizados,
        TablaSuspendidos,
        TablaEliminados
    },
    methods: {
        pendientes() {
            this.modulo = 'pendientes';    
        },
        autorizados() {
            this.modulo = 'autorizados'; 
        },
        suspendidos() {
            this.modulo = 'suspendidos'; 
        },
        eliminados() {
            this.modulo = 'eliminados'; 
        },
        selectedCarpeta(carpetaActual) {
            carpetaActual = this.carpetaActual 
            if (carpetaActual == "pendientes") {
                carpetaActual = "pendiente";
            } else {
                
            }	
            t
        },
        logout() {
            localStorage.clear();
            this.$router.push({ name: 'login' });
        }
    },
}
</script>

<style lang="scss" scoped>
.table{
    height: 387px;
}
.a {
  color: #000;
  text-decoration: none;
  font-weight: normal;
}
</style>